<template>
  <el-container id="app">
    <!-- <modal-spinner v-if="showModalSpinner"></modal-spinner> -->
    <layout-broker :layouts="$options.LAYOUTS" :current="$route.meta.layout"></layout-broker>
  </el-container>
</template>

<script>
import LayoutBroker from '@/views/layout/LayoutBroker';
import SidebarLayout from '@/views/layout/SidebarLayout';
// import ModalSpinner from '@/components/common/ModalSpinner';
import { mapState } from 'vuex';

const LAYOUTS = {
  SidebarLayout,
};

export default {
  name: 'App',
  components: {
    LayoutBroker,
    // ModalSpinner,
  },
  LAYOUTS,
  computed: {
    ...mapState({
      showModalSpinner: state => state.app.modal.spinner,
    }),
  },
};
</script>

<style lang="stylus">
html
body
  padding 0
  margin 0
  font-size 13px
  font-family 'Lato', 'Helvetica Neue', Arial, Helvetica, sans-serif
  -webkit-font-smoothing antialiased
  -moz-osx-font-smoothing grayscale
  background-color $color-lilac

#app
  height 100vh

button
input
optgroup
select
textarea
  font-family inherit
  font-size 100%
  line-height 1.15
  margin 0

a
  color $color-abbey
  text-decoration none

ul
  list-style none
  -webkit-margin-before 0
  -webkit-margin-after 0
  -webkit-padding-start 0
  -webkit-padding-end 0

.sortable-ghost
  opacity .5
</style>